Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class TasksPreferences.OverdueStyle

    java.lang.Object
      portlets.compoze.groupware.pref.TasksPreferences.OverdueStyle

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  TasksPreferences

public static class TasksPreferences.OverdueStyle
extends java.lang.Object
implements java.io.Serializable

This class represents the overdue task display style.

See Also:
  Serialized Form

Field Summary
`static TasksPreferences.OverdueStyle` | `EIGHTH` This value represents the 'eighth' overdue style.
`static TasksPreferences.OverdueStyle` | `FIFTH` This value represents the 'fifth' overdue style.
`static TasksPreferences.OverdueStyle` | `FIRST` This value represents the 'first' overdue style.
`static TasksPreferences.OverdueStyle` | `FOURTH` This value represents the 'fourth' overdue style.
`static TasksPreferences.OverdueStyle` | `SECOND` This value represents the 'second' overdue style.
`static TasksPreferences.OverdueStyle` | `SEVENTH` This value represents the 'seventh' overdue style.
`static TasksPreferences.OverdueStyle` | `SIXTH` This value represents the 'sixth' overdue style.
`static TasksPreferences.OverdueStyle` | `THIRD` This value represents the 'third' overdue style.
`static int` | `VALUE_EIGHTH` This value represents the 'eighth' overdue style.
`static int` | `VALUE_FIFTH` This value represents the 'fifth' overdue style.
`static int` | `VALUE_FIRST` This value represents the 'first' overdue style.
`static int` | `VALUE_FOURTH` This value represents the 'fourth' overdue style.
`static int` | `VALUE_SECOND` This value represents the 'second' overdue style.
`static int` | `VALUE_SEVENTH` This value represents the 'seventh' overdue style.
`static int` | `VALUE_SIXTH` This value represents the 'sixth' overdue style.
`static int` | `VALUE_THIRD` This value represents the 'third' overdue style.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static TasksPreferences.OverdueStyle` | `get(int iValue)` Gets the overdue style by the value.
`static TasksPreferences.OverdueStyle` | `get(java.lang.String sKey)` Gets the overdue style by the key.
`java.lang.String` | `getKey()` Gets the key (class name) for style.
`static java.util.List` | `getStyles()` Gets the list of overdue style objects.
`int` | `getValue()` Gets the value of the overdue style.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_FIRST

    public static final int VALUE_FIRST

  This value represents the 'first' overdue style.

  See Also:
    Constant Field Values

### VALUE_SECOND

    public static final int VALUE_SECOND

  This value represents the 'second' overdue style.

  See Also:
    Constant Field Values

### VALUE_THIRD

    public static final int VALUE_THIRD

  This value represents the 'third' overdue style.

  See Also:
    Constant Field Values

### VALUE_FOURTH

    public static final int VALUE_FOURTH

  This value represents the 'fourth' overdue style.

  See Also:
    Constant Field Values

### VALUE_FIFTH

    public static final int VALUE_FIFTH

  This value represents the 'fifth' overdue style.

  See Also:
    Constant Field Values

### VALUE_SIXTH

    public static final int VALUE_SIXTH

  This value represents the 'sixth' overdue style.

  See Also:
    Constant Field Values

### VALUE_SEVENTH

    public static final int VALUE_SEVENTH

  This value represents the 'seventh' overdue style.

  See Also:
    Constant Field Values

### VALUE_EIGHTH

    public static final int VALUE_EIGHTH

  This value represents the 'eighth' overdue style.

  See Also:
    Constant Field Values

### FIRST

    public static final TasksPreferences.OverdueStyle FIRST

  This value represents the 'first' overdue style.

### SECOND

    public static final TasksPreferences.OverdueStyle SECOND

  This value represents the 'second' overdue style.

### THIRD

    public static final TasksPreferences.OverdueStyle THIRD

  This value represents the 'third' overdue style.

### FOURTH

    public static final TasksPreferences.OverdueStyle FOURTH

  This value represents the 'fourth' overdue style.

### FIFTH

    public static final TasksPreferences.OverdueStyle FIFTH

  This value represents the 'fifth' overdue style.

### SIXTH

    public static final TasksPreferences.OverdueStyle SIXTH

  This value represents the 'sixth' overdue style.

### SEVENTH

    public static final TasksPreferences.OverdueStyle SEVENTH

  This value represents the 'seventh' overdue style.

### EIGHTH

    public static final TasksPreferences.OverdueStyle EIGHTH

  This value represents the 'eighth' overdue style.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (class name) for style.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the overdue style.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static TasksPreferences.OverdueStyle get(int iValue)

  Gets the overdue style by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching overdue style or the default style if not found

### get

    public static TasksPreferences.OverdueStyle get(java.lang.String sKey)

  Gets the overdue style by the key.

  Parameters:
    `sKey` - the key to get by
  Returns:
    the matching overdue style or the default style if not found

### getStyles

    public static java.util.List getStyles()

  Gets the list of overdue style objects.

  Returns:
    the list of `OverdueStyle` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.